cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/cancel_block_rfq_quote \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/cancel_block_rfq_quote",
"params": {
"block_rfq_id": 3,
"label": "example_quote"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/cancel_block_rfq_quote"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/cancel_block_rfq_quote",
"params": {
"block_rfq_id": 3,
"label": "example_quote"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/cancel_block_rfq_quote',
params: {block_rfq_id: 3, label: 'example_quote'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/cancel_block_rfq_quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"jsonrpc": "2.0",
"result": {
"amount": 20000,
"block_rfq_id": 3,
"block_rfq_quote_id": 8,
"creation_timestamp": 1731076586371,
"direction": "buy",
"filled_amount": 0,
"hedge": {
"amount": 10,
"direction": "buy",
"instrument_name": "BTC-PERPETUAL",
"price": 70000
},
"label": "example_quote",
"last_update_timestamp": 1731076655746,
"legs": [
{
"direction": "buy",
"instrument_name": "BTC-15NOV24",
"price": 74600,
"ratio": 1
}
],
"price": 74600,
"quote_state": "cancelled",
"replaced": false
}
}Block RFQ
private/cancel_block_rfq_quote
Maker method
Cancels a single Block RFQ quote. You can identify the quote to cancel using either:
block_rfq_quote_id- the unique ID of the quoteblock_rfq_id+label- the Block RFQ ID and the quote label
Note: Mass cancellation by label is not supported. This method cancels only one quote at a time. To cancel all quotes, use private/cancel_all_block_rfq_quotes.
📖 Related Article: Deribit Block RFQ API walkthrough
Scope: rat#trade or wallet:buys:create
GET
/
private
/
cancel_block_rfq_quote
cURL
Query Parameters
ID of the Block RFQ quote
User defined label for the Block RFQ quote (maximum 64 characters). Used to identify quotes of a selected Block RFQ
ID of the Block RFQ
Was this page helpful?
⌘I